package com.qmth.themis.business.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.enums.VerifyExceptionEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 预警dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/18
 */
public class WarningDto implements Serializable {

    @ApiModelProperty(name = "预警类型")
    private VerifyExceptionEnum warningEnum;//预警类型

    @ApiModelProperty(name = "人脸数量，0：没有人脸，大于1：多张人脸")
    private Integer faceCount;//人脸数量，0：没有人脸，大于1：多张人脸

    @ApiModelProperty(name = "真实性结果，-1：没有，0：异常，1：正常")
    private Double realness;//真实性结果，-1：没有，0：异常，1：正常

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试记录id")
    private Long recordId;//考试记录id

    @ApiModelProperty(name = "照片url")
    private String photoUrl;//照片url

    @ApiModelProperty(name = "随机数")
    private String random;

    public WarningDto() {

    }

    public WarningDto(VerifyExceptionEnum warningEnum, Integer faceCount, Double realness, Long recordId, String photoUrl) {
        this.warningEnum = warningEnum;
        this.faceCount = faceCount;
        this.realness = realness;
        this.recordId = recordId;
        this.photoUrl = photoUrl;
    }

    public String getRandom() {
        return random;
    }

    public void setRandom(String random) {
        this.random = random;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public VerifyExceptionEnum getWarningEnum() {
        return warningEnum;
    }

    public void setWarningEnum(VerifyExceptionEnum warningEnum) {
        this.warningEnum = warningEnum;
    }

    public Integer getFaceCount() {
        return faceCount;
    }

    public void setFaceCount(Integer faceCount) {
        this.faceCount = faceCount;
    }

    public Double getRealness() {
        return realness;
    }

    public void setRealness(Double realness) {
        this.realness = realness;
    }

    public Long getRecordId() {
        return recordId;
    }

    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }
}
